.button {
  @apply text-base rounded-lg font-semibold flex items-center gap-x-2;
  @apply transition-all ease-in-out outline-none ring-2 ring-transparent;
  @apply focus-visible:ring-blue-500 focus:outline-none;
}

.primary {
  @apply bg-blue-500 text-white;
  @apply hover:bg-blue-600;
  @apply focus-visible:ring-offset-2;
  @apply active:bg-blue-700;
  @apply disabled:bg-blue-200 disabled:cursor-not-allowed;
}

.secondary {
  @apply bg-gray-200 text-gray-500;
  @apply hover:bg-gray-300;
  @apply active:bg-gray-400;
  @apply disabled:bg-gray-100 disabled:text-gray-300 disabled:cursor-not-allowed;
}

.outlined {
  @apply bg-transparent border border-gray-400 text-gray-500;
  @apply hover:border-blue-500 hover:text-blue-500;
  @apply active:bg-gray-200;
  @apply disabled:border-gray-300 disabled:text-gray-300 disabled:cursor-not-allowed;
}

.lg {
  @apply px-5 py-3 rounded-2xl;
}

.md {
  @apply px-4 py-2;
}

.sm {
  @apply px-3 py-1.5 text-sm;
}

.center {
  @apply justify-center;
}

.space-between {
  @apply justify-between;
}

.fullWidth {
  @apply w-full;
}

.rounded {
  @apply rounded-full p-2;
}
